import * as tslib_1 from "tslib";
import React from "react";
import { TabContentRoot } from "./index";
export function SwipeableTabContent(props) {
    var activeKey = props.activeKey, tabsInfo = props.tabsInfo;
    // 根据激活的 tabKey, 计算需要动画偏移的x距离
    var index = tabsInfo.findIndex(function (info) { return info.tabKey === activeKey; });
    return React.createElement(TabContentRoot, tslib_1.__assign({ style: { marginLeft: "-" + index * 100 + "%" }, className: "tab-content-animated" }, props));
}
export default React.memo(SwipeableTabContent);
//# sourceMappingURL=SwipeableTabContent.js.map