import * as tslib_1 from "tslib";
import classNames from "classnames";
import React from "react";
import TabNode from "./TabNode";
export var TabBarRoot = React.forwardRef(function (props, ref) {
    var prefixCls = props.prefixCls, className = props.className, style = props.style, _a = props.tabsInfo, tabsInfo = _a === void 0 ? [] : _a, onTabClick = props.onTabClick;
    var tabs = tabsInfo.map(function (info, i) { return (React.createElement(TabNode, tslib_1.__assign({ key: info.tabKey, prefixCls: prefixCls, tabIndex: i }, info, { onClick: onTabClick }), info.tab)); });
    return (React.createElement("div", { className: classNames(prefixCls + "-tabbar", className), style: style, ref: ref }, tabs));
});
export default React.memo(TabBarRoot);
//# sourceMappingURL=TabBarRoot.js.map