import * as tslib_1 from "tslib";
import classNames from "classnames";
import React from "react";
export function TabContentRoot(props) {
    var prefixCls = props.prefixCls, className = props.className, style = props.style, _a = props.tabsInfo, tabsInfo = _a === void 0 ? [] : _a, lazy = props.lazy, destroyInactiveTabPane = props.destroyInactiveTabPane, ref = props.ref;
    return (React.createElement("div", { className: classNames(prefixCls + "-tabcontent", className), style: style, ref: ref }, tabsInfo.map(function (info) {
        return React.cloneElement(info.panel, tslib_1.__assign({ prefixCls: prefixCls,
            lazy: lazy, key: info.tabKey }, info, { destroyInactiveTabPane: destroyInactiveTabPane }));
    })));
}
export default React.memo(TabContentRoot);
//# sourceMappingURL=TabContentRoot.js.map